# Method: domains.detachTrust

- [HTTP request](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/detachTrust#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/detachTrust#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/detachTrust#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/detachTrust#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/detachTrust#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/detachTrust#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/detachTrust#try-it)

**Full name**: projects.locations.global.domains.detachTrust

Removes an AD trust.

### HTTP request

`POST https://managedidentities.googleapis.com/v1/{name=projects/*/locations/global/domains/*}:detachTrust`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource domain name, project name, and location using the form: `projects/{projectId}/locations/global/domains/{domainName}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `managedidentities.domains.detachTrust` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "trust": { object (`https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains#Trust`) } } ``` |

| Fields ||
|---|---|
| `trust` | ``object (`https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains#Trust`)`` Required. The domain trust resource to removed. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).